Subject: Re: Backtick does not work
From: "Carlo Florendo" <[email-masked]>
To: <[email-masked]>
Cc: "Menon, Girish \(MED, WIPRO-GE MED\)" <[email-masked]>
Date: Wed, 13 Aug 2003 08:18:39 +0800

> That's not a bash script, that's an 'sh' script.  Which is ash on 
> cygwin.  Maybe ash doesn't support back-tick?  If you change your 
> /bin/sh to /bin/bash it should work.

Ash supports the backtick.  The section of the script which Girish posted should work without problems in bash, sh, and ash.

> 
> Menon, Girish (MED, WIPRO-GE MED) wrote:
> > From the bash shell the ` (backtick or command execution) work. But when
> > I spawn a process and execute a shell script which contains the back
> > ticks, the process just chokes.
> > 
> > For example, a simple shell script like
> > #!/bin/sh
> > ..
> > ..
> > myenv=`/bin/env | grep CYGWIN`
> > ..
> > ..
> > 
> > I am able to execute this script properly from the bash shell (as any
> > user on the system). I am not getting any error at all from the
> > execution of the script. It just quits. I checked the error code too. It
> > is 0.
> > But this same script when executed via a spawned process does not work.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/